{{page-title @model.presentation.name}}

<Editor::PageEditors @onDeselect={{this.selectPresentation}} @title={{this.title}}>
  <:panel>
    <Manage::PageFrame class={{this.deviceSizeClass}}>
      <:header>
        <div class="d-inline-block m-1 ms-3 text-secondary">
          <div class="btn-group" role="group">
            <button type="button" class="btn btn-sm btn-light presentation-name" disabled>{{@model.presentation.name}}</button>
          </div>
        </div>

        <Input::Layout::DeviceSize @value={{this.deviceSize}} @onChange={{this.changeDeviceSize}} />

        <div class="btn-group float-end m-1 me-3">
          <Input::Button class="btn btn-sm btn-outline-primary btn-save" @action={{this.saveContent}}>
            {{t "save"}}
          </Input::Button>
        </div>

        <div class="float-end m-1 me-3">
          <button type="button" class="btn btn-sm btn-light btn-config-layout page-visibility" disabled>
            {{#if @model.presentation.visibility.isPublic}}
              {{t "visibility-public"}}
            {{else}}
              {{t "visibility-private"}}
            {{/if}}
            <VisibilityIcon @value={{@model.presentation.visibility.isPublic}} />
          </button>
        </div>
      </:header>

      <:body>
        {{#if @model.presentation.hasIntro}}
          <div class="presentation-slide presentation-slide-intro presentation-content">
            <div>
              <div class="page-container container">
                <div class="row">
                  <div class="col slides-welcome-intro justify-content-center page">
                    <div class="content align-self-center">
                      <div class="logo">
                        <img src={{@model.presentation.cover.picture}} class="logo" alt={{@model.presentation.name}} />
                      </div>

                      <h1 class="mt-3">
                        {{@model.presentation.name}}
                      </h1>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        {{/if}}
        {{#each this.containers as |container rowIndex|}}
          <div class="presentation-slide presentation-slide-{{rowIndex}} presentation-content">
            <div class="text-center presentation-slide-footer">
              <button class="btn btn-outline-primary btn-add-slide-{{rowIndex}} m-4" {{on "click" (fn this.addSlide rowIndex)}}>
                <FaIcon @icon="plus" />
                {{t "slide"}}
              </button>
            </div>

            <div class="presentation-slide-title px-4">
              <button class="btn btn-sm btn-link btn-delete float-end link-danger" {{on "click" (fn this.deleteSlide rowIndex)}}>
                {{t "delete"}}
              </button>
              {{t "slide-number" slideNumber=(sum rowIndex 1)}}
            </div>

            <Layout @size={{this.deviceSize}} @containers={{container}} @selectable={{true}} @onSelect={{this.select}} @cols={{this.cols}} @disableContainerEdit={{true}} as |layoutCol|>
              <View::Selector @layoutCol={{layoutCol}} @cols={{this.cols}} as |col|>
                <View::Slot @model={{@model}} @value={{col}} @isEditor={{true}} @deviceSize={{this.deviceSize}} />
              </View::Selector>
            </Layout>
          </div>
        {{/each}}

        <div class="text-center presentation-slide-footer">
          <button class="btn btn-outline-primary btn-add-slide-end m-4" {{on "click" (fn this.addSlide this.rowCount)}}>
            <FaIcon @icon="plus" />
            {{t "slide"}}
          </button>
        </div>

        {{#if @model.presentation.hasEnd}}
          <div class="presentation-slide presentation-slide-end presentation-content">
            <div>
              <div class="page-container container">
                <div class="row">
                  <div class="col justify-content-center page">
                    <div class="content align-self-center w-100">
                      <View::TitleWithButtons @deviceSize={{this.deviceSize}} @value={{this.endSlideOptions}} />
                      <p class="mt-3">
                        <button class="btn btn-link btn-back m-0 p-0" role="button" type="button">
                          {{t "or go to the last slide"}}
                        </button>
                      </p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        {{/if}}
      </:body>
    </Manage::PageFrame>
  </:panel>

  <:content>
    {{#if (eq this.selection.type "presentation")}}
      <Input::Options::PresentationOptions
        class="presentation-options-sheet"
        @deviceSize={{this.deviceSize}}
        @presentation={{@model.presentation}}
        @onDeviceSizeChange={{this.changeDeviceSize}}
        @space={{this.space.defaultSpace}}
      />
    {{/if}}

    {{#if (eq this.selection.type "col")}}
      <Manage::PageColEditor @value={{this.selection.data}} @deviceSize={{this.deviceSize}} @onDeviceSizeChange={{this.changeDeviceSize}} @onChange={{this.changeCol}} />
    {{/if}}
  </:content>
</Editor::PageEditors>